package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF081Response {

    @Parameter(name = "Adresat")
    String adresat();

    @Parameter(name = "CO")
    String co();

    @Parameter(name = "CP")
    String cp();

    @Parameter(name = "CisloPasu")
    String cisloPasu();

    @Parameter(name = "CistyMesicniPrijem")
    Double cistyMesicniPrijem();

    @Parameter(name = "Ctvrt")
    String ctvrt();

    @Parameter(name = "DatumExpiraceKontaktnichUdaju")
    java.util.Date datumExpiraceKontaktnichUdaju();

    @Parameter(name = "DatumExpiracePotvrzeniStudent")
    java.util.Date datumExpiracePotvrzeniStudent();

    @Parameter(name = "DatumNarozeni")
    java.util.Date datumNarozeni();

    @Parameter(name = "DatumNastehovani")
    java.util.Date datumNastehovani();

    @Parameter(name = "DatumPosledniAktualizace")
    java.util.Date datumPosledniAktualizace();

    @Parameter(name = "DatumPotvrzeniPrijmu")
    java.util.Date datumPotvrzeniPrijmu();

    @Parameter(name = "DatumZalozeniCIFu")
    java.util.Date datumZalozeniCIFu();

    @Parameter(name = "DruhBydleni")
    String druhBydleni();

    @Parameter(name = "DruhKlienta")
    String druhKlienta();

    @Parameter(name = "DruhPrijmuKlienta")
    String druhPrijmuKlienta();

    @Parameter(name = "DruhaStatniPrislusnost")
    String druhaStatniPrislusnost();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "EMail")
    String eMail();

    @Parameter(name = "EkonomickySektor")
    String ekonomickySektor();

    @Parameter(name = "Funkce")
    String funkce();

    @Parameter(name = "IDSdeleniEmail")
    Long iDSdeleniEmail();

    @Parameter(name = "IDSdeleniExpiraceKU")
    Long iDSdeleniExpiraceKU();

    @Parameter(name = "IDSdeleniMobil")
    Long iDSdeleniMobil();

    @Parameter(name = "IDSdeleniZuzeneSJM")
    Long iDSdeleniZuzeneSJM();

    @Parameter(name = "JinyOsobniDoklad1Cislo")
    String jinyOsobniDoklad1Cislo();

    @Parameter(name = "JinyOsobniDoklad1Platnost")
    java.util.Date jinyOsobniDoklad1Platnost();

    @Parameter(name = "JinyOsobniDoklad1StatVydal")
    String jinyOsobniDoklad1StatVydal();

    @Parameter(name = "JinyOsobniDoklad1Typ")
    String jinyOsobniDoklad1Typ();

    @Parameter(name = "JinyOsobniDoklad2Cislo")
    String jinyOsobniDoklad2Cislo();

    @Parameter(name = "JinyOsobniDoklad2Platnost")
    java.util.Date jinyOsobniDoklad2Platnost();

    @Parameter(name = "JinyOsobniDoklad2StatVydal")
    String jinyOsobniDoklad2StatVydal();

    @Parameter(name = "JinyOsobniDoklad2Typ")
    String jinyOsobniDoklad2Typ();

    @Parameter(name = "KlasifikaceKlienta")
    String klasifikaceKlienta();

    @Parameter(name = "KodObchodnihoMista")
    String kodObchodnihoMista();

    @Parameter(name = "MistoNarozeni")
    String mistoNarozeni();

    @Parameter(name = "NazevZamestnavatele")
    String nazevZamestnavatele();

    @Parameter(name = "NejvyssiDosazeneVzdelani")
    String nejvyssiDosazeneVzdelani();

    @Parameter(name = "NezadouciKlient")
    String nezadouciKlient();

    @Parameter(name = "NoEmailFlag")
    Long noEmailFlag();

    @Parameter(name = "OPStatVydal")
    String oPStatVydal();

    @Parameter(name = "ObchodniMistoNazev")
    String obchodniMistoNazev();

    @Parameter(name = "Obec")
    String obec();

    @Parameter(name = "Osloveni")
    String osloveni();

    @Parameter(name = "OsobniBanker")
    String osobniBanker();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PasStatVydal")
    String pasStatVydal();

    @Parameter(name = "PlatnostKontaktnichUdaju")
    String platnostKontaktnichUdaju();

    @Parameter(name = "PlatnostOPdo")
    java.util.Date platnostOPdo();

    @Parameter(name = "PlatnostPasuDo")
    java.util.Date platnostPasuDo();

    @Parameter(name = "PocetVyzivovanychDeti")
    Long pocetVyzivovanychDeti();

    @Parameter(name = "Pohlavi")
    String pohlavi();

    @Parameter(name = "Posta")
    String posta();

    @Parameter(name = "PotvrzeniStudent")
    String potvrzeniStudent();

    @Parameter(name = "Povolani")
    String povolani();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PrijmovaSkupina")
    String prijmovaSkupina();

    @Parameter(name = "PrvniJmeno")
    String prvniJmeno();

    @Parameter(name = "Rezidence")
    String rezidence();

    @Parameter(name = "RodinnyStav")
    String rodinnyStav();

    @Parameter(name = "RodneCislo")
    String rodneCislo();

    @Parameter(name = "SerieACisloOP")
    String serieACisloOP();

    @Parameter(name = "SocialneEkonomickaSkupina")
    String socialneEkonomickaSkupina();

    @Parameter(name = "SpiciUcet")
    String spiciUcet();

    @Parameter(name = "SpravniCelek")
    String spravniCelek();

    @Parameter(name = "StatniPrislusnost")
    String statniPrislusnost();

    @Parameter(name = "TelefonDalsi")
    String telefonDalsi();

    @Parameter(name = "TelefonDalsiPredvolba")
    String telefonDalsiPredvolba();

    @Parameter(name = "TelefonDomu")
    String telefonDomu();

    @Parameter(name = "TelefonDomuPredvolba")
    String telefonDomuPredvolba();

    @Parameter(name = "TelefonMobilni")
    String telefonMobilni();

    @Parameter(name = "TelefonMobilniPredvolba")
    String telefonMobilniPredvolba();

    @Parameter(name = "TelefonZamestnani")
    String telefonZamestnani();

    @Parameter(name = "TelefonZamestnaniPredvolba")
    String telefonZamestnaniPredvolba();

    @Parameter(name = "Titul")
    String titul();

    @Parameter(name = "TitulZaJmenem")
    String titulZaJmenem();

    @Parameter(name = "TypDruhehoDokladu")
    String typDruhehoDokladu();

    @Parameter(name = "TypKlienta")
    String typKlienta();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "VztahKBance")
    String vztahKBance();

    @Parameter(name = "ZAMCO")
    String zamco();

    @Parameter(name = "ZAMCP")
    String zamcp();

    @Parameter(name = "ZAMICO")
    String zamico();

    @Parameter(name = "ZAMPSC")
    String zampsc();

    @Parameter(name = "ZAMPosta")
    String zAMPosta();

    @Parameter(name = "ZAMUlice")
    String zAMUlice();

    @Parameter(name = "ZamObec")
    String zamObec();

    @Parameter(name = "ZamestnanOd")
    java.util.Date zamestnanOd();

    @Parameter(name = "Zeme")
    String zeme();

    @Parameter(name = "ZkraceneJmeno")
    String zkraceneJmeno();

    @Parameter(name = "ZuzeneSJM")
    String zuzeneSJM();

}